#include <stdio.h>
#include <errno.h>
#include <string.h>
#include <stdlib.h>
#include "common.h"

static const char *progname = NULL;

void setprogname(const char *name) {
	progname = name;
}

const char *int_s(int n) {
#define SIZE 40
	static char buf[SIZE];
	snprintf(buf, SIZE, "%d", n);
	return buf;
#undef SIZE
}

void msg(const char *s) {
	fprintf(stderr, "%s: %s\n", progname, s);
}

void dies(const char *s) {
	msg(join(s, ": ", strerror(errno), NULL));
	exit(20);
}

void die(const char *s) {
	msg(s);
	exit(20);
}

