#include <string.h>
#include <stdlib.h>
#include <stdarg.h>
#include "common.h"

char *join(const char *first, ...) {
	va_list va;
	int len = strlen(first);
	static char *buf = NULL;

	va_start(va, first);
	while (1) {
		const char *s = va_arg(va, const char *);
		if (s == NULL)
			break;
		len += strlen(s);
	}
	va_end(va);

	buf = realloc(buf, len + 1);
	if (buf == NULL)
		die("out of memory");

	strcpy(buf, first);
	va_start(va, first);
	while (1) {
		const char *s = va_arg(va, const char *);
		if (s == NULL)
			break;
		strcat(buf, s);
	}
	va_end(va);

	return buf;
}

